Bug 1285092 - keepass under xwayland doesn't accept non-'us' scancodes as password [NEEDINFO]
Summary: keepass under xwayland doesn't accept non-'us' scancodes as password
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: keepass
Version: 26
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Oliver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-11-24 21:25 UTC by madstitz
Modified: 2018-05-29 11:56 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:56:55 UTC
raphael.redhat: needinfo? (madstitz)


Attachments (Terms of Use)

Description madstitz 2015-11-24 21:25:20 UTC
Description of problem:
Running keepass under gnome-wayland-session (thus xwayland), when trying to enter an @-symbol in the master password field (using the 'alt gr + q' combo on my german layout), nothing is displayed. Other keys register just fine.
Switching my keyboard layout to standard-us allows me to enter the symbol using the 'shift+2' combo.
Note that in the main keepass ui, the @-symbol works just fine using the german layout (for example in the search field).

Version-Release number of selected component (if applicable):
2.30

How reproducible:


Steps to Reproduce:
1. start keepass under gnome-wayland-session, keyboard layout set to german
2. open database
3. try to enter an @-symbol in the password field using 'alt gr + q'

Actual results:
the letter is not accepted as input

Expected results:
the letter is accepted like every other

Additional info:
I suspect this to be an issue with the 'us' keyboard layout, as it doesn't have a scancode for the 'alt gr + q' key combo (us-international has one).

Comment 1 Fedora End Of Life 2016-11-24 13:42:24 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 16:14:50 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Raphael 2017-08-02 08:52:07 UTC
Bug still exists in Fedora 25 and 26. So, the bug should be re-opend and affected version changed to 26.

Comment 4 Fedora End Of Life 2018-05-03 08:46:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 11:56:55 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.